# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

JAVA_PKG_IUSE="source doc"

inherit java-pkg-2 java-ant-2

DESCRIPTION="The basic runtime tools and interfaces for intarsys components."
HOMEPAGE="http://opensource.intarsys.de/"
SRC_URI="mirror://sourceforge/jpodrenderer/isrt.${PV}.zip"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
IUSE=""

RDEPEND=">=virtual/jre-1.6"
DEPEND=">=virtual/jdk-1.6
	app-arch/unzip"

S="${WORKDIR}"/distribution

java_prepare() {
	cp "${FILESDIR}"/build.* "${S}" || die
}

src_install() {
	java-pkg_dojar build/isrt/dist/isrt.jar

	use source && java-pkg_dosrc src/*

	use doc && java-pkg_dojavadoc build/isrt/javadoc
}
