# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Subversion backup utilities"
SRC_URI="http://svnautobackup.googlecode.com/files/${P}.tar.gz"
HOMEPAGE="http://www.doughellmann.com/projects/svnbackup/"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="-alpha ~amd64 ~arm -ppc -sparc ~x86"
IUSE=""
DEPEND="dev-lang/perl"

src_compile() {
	mkdir man
	pod2man --section=1 "${FILESDIR}"/svnbackup.pod > man/svnbackup.1 || die "generation manpage for svnbackup.1 failed"
}

src_install() {
	newbin svnbackup.sh svnbackup
	dosed "s:last_saved:/var/tmp/svnbackup_history:" /usr/bin/svnbackup
	doman man/*
}
