# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2

inherit font

DESCRIPTION="Free True Type Font Brand Name Fonts Collection"
HOMEPAGE="http://mintywhite.com/customize/fonts/free-brand-name-fonts-collection-ttf/"
SRC_URI="http://mintywhite.com/images/wg/0806/02fontsbrand/atari.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/cnn.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/converse.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/crystalr.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/dodge.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/dummies.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/espn.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/esquire.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/ferrorosso.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/gamecube.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/hardrockcafe.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/hersheys.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/holidayinn.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/hondafont.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/hotwheels.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/hyundai.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/kitkat.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/lego.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/marlboro.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/meninblue.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/mentos.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/mercedes.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/n_gage.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/namco.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/nasa.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/nautica.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/nec.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/neurotoxin.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/oreos.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/pepsi.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/pez.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/pizzahut.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/playboy.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/pontiac8090.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/pretendo.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/ps2.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/puma.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/scrabble.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/sega.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/sifont.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/snickers.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/subway.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/swatch.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/thilfig.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/usps.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/usuzi.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/waltdisney.zip
	http://mintywhite.com/images/wg/0806/02fontsbrand/yahoo.zip"

LICENSE="as-is"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
IUSE="X"

DEPEND="app-arch/unzip"
RDEPEND=""

S=${WORKDIR}
FONT_S=${WORKDIR}
FONT_SUFFIX="ttf"

src_prepare() {
	cd ${S}
	for i in *.TTF; do mv "$i" "$(echo $i|tr A-Z a-z)"; done
}
